# Library for ECSS Package Utilization Standard (PUS)
#
# Copyright (C) 2020 TU Darmstadt Space Technology e.V.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


# TODO: add proper Makefile

LPUS_DIR=../librepus
LPUS_INC_DIR=$(LPUS_DIR)/inc
LPUS_LIB=$(LPUS_DIR)/liblibrepus.a

OSDLP_DIR=../osdlp
OSDLP_INC_DIR=$(OSDLP_DIR)/include
OSDLP_LIB=$(OSDLP_DIR)/libosdlp.a

CFLAGS=-g -Wall -Wextra -Werror

all: lpusnode

lpusnode: src/*.c $(LPUS_LIB) $(OSDLP_LIB)
	gcc $(CFLAGS) -I$(LPUS_INC_DIR) -I$(OSDLP_INC_DIR) $^ -pthread -o $@

$(LPUS_LIB):
	make -C $(LPUS_DIR)

$(OSDLP_LIB):
	make -C $(OSDLP_DIR)

.PHONY: clean

clean:
	-rm lpusnode
